All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.expr
Class QueryMissingValues

    com.sas.iquery.metadata.expr.QueryMissingValues

    @SASScope(value="ALL")
    @SubjectToChange
    public class QueryMissingValues

Contains all possible missing values that are supported by SAS in queries. This is an enumeration class.

Field Summary
`static java.lang.String` | `QUERY_MISSING_VALUE_A`
`static java.lang.String` | `QUERY_MISSING_VALUE_B`
`static java.lang.String` | `QUERY_MISSING_VALUE_BLANK` String Representations of Query MissingValue
`static java.lang.String` | `QUERY_MISSING_VALUE_C`
`static java.lang.String` | `QUERY_MISSING_VALUE_D`
`static java.lang.String` | `QUERY_MISSING_VALUE_DOT`
`static java.lang.String` | `QUERY_MISSING_VALUE_E`
`static java.lang.String` | `QUERY_MISSING_VALUE_F`
`static java.lang.String` | `QUERY_MISSING_VALUE_G`
`static java.lang.String` | `QUERY_MISSING_VALUE_H`
`static java.lang.String` | `QUERY_MISSING_VALUE_I`
`static java.lang.String` | `QUERY_MISSING_VALUE_J`
`static java.lang.String` | `QUERY_MISSING_VALUE_K`
`static java.lang.String` | `QUERY_MISSING_VALUE_L`
`static java.lang.String` | `QUERY_MISSING_VALUE_M`
`static java.lang.String` | `QUERY_MISSING_VALUE_N`
`static java.lang.String` | `QUERY_MISSING_VALUE_O`
`static java.lang.String` | `QUERY_MISSING_VALUE_P`
`static java.lang.String` | `QUERY_MISSING_VALUE_Q`
`static java.lang.String` | `QUERY_MISSING_VALUE_R`
`static java.lang.String` | `QUERY_MISSING_VALUE_S`
`static java.lang.String` | `QUERY_MISSING_VALUE_T`
`static java.lang.String` | `QUERY_MISSING_VALUE_U`
`static java.lang.String` | `QUERY_MISSING_VALUE_V`
`static java.lang.String` | `QUERY_MISSING_VALUE_W`
`static java.lang.String` | `QUERY_MISSING_VALUE_X`
`static java.lang.String` | `QUERY_MISSING_VALUE_Y`
`static java.lang.String` | `QUERY_MISSING_VALUE_Z`

Method Summary
`static QueryMissingValues` | `getQueryMissingValue(java.lang.String value)` Returns a QueryMissingValues object for a specified value or null if no match is found
`java.lang.String` | `getQueryValue()` Returns the String value to use in query for this QueryMissingValues object
`static boolean` | `isMissing(java.lang.String value)` Checks whether a specified value is a valid MissingValue supported by SAS in queries

Field Detail

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_BLANK

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_BLANK

  String Representations of Query MissingValue

  See Also:
    Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_DOT

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_DOT

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_A

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_A

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_B

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_B

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_C

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_C

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_D

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_D

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_E

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_E

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_F

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_F

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_G

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_G

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_H

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_H

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_I

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_I

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_J

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_J

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_K

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_K

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_L

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_L

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_M

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_M

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_N

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_N

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_O

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_O

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_P

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_P

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_Q

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_Q

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_R

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_R

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_S

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_S

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_T

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_T

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_U

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_U

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_V

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_V

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_W

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_W

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_X

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_X

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_Y

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_Y

See Also:
  Constant Field Values

*** This field is subject to change. ***

### QUERY_MISSING_VALUE_Z

    @SASScope(value="ALL")
    @SubjectToChange
    public static final java.lang.String QUERY_MISSING_VALUE_Z

See Also:
  Constant Field Values

Method Detail

*** This method is subject to change. ***

### getQueryMissingValue

    @SASScope(value="ALL")
    @SubjectToChange
    public static QueryMissingValues getQueryMissingValue(java.lang.String value)

  Returns a QueryMissingValues object for a specified value or null if no match is found

  Parameters:
    `value` - the input value for which a missing value string is returned, for example, QUERY_MISSING_VALUE_S
  Returns:
    QueryMissingValues or null if no match is found

*** This method is subject to change. ***

### isMissing

    @SASScope(value="ALL")
    @SubjectToChange
    public static boolean isMissing(java.lang.String value)

  Checks whether a specified value is a valid MissingValue supported by SAS in queries

  Parameters:
    `value` - input used to determine whether this is a valid MissingValue
  Returns:
    true if the value is a valid MissingValue false otherwise

*** This method is subject to change. ***

### getQueryValue

    @SASScope(value="ALL")
    @SubjectToChange
    public java.lang.String getQueryValue()

  Returns the String value to use in query for this QueryMissingValues object

  Returns:
    String

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.